sub ASI_CONTROL {0x02;}
sub ASI_SEGMAP {0x03;}
sub ASI_SRMMUFP {0x03;}
sub ASI_PTE {0x04;}
sub ASI_SRMMU {0x04;}
sub ASI_REGMAP {0x06;}
sub ASI_HWFLUSHSEG {0x05;}
sub ASI_HWFLUSHPG {0x06;}
sub ASI_SRMMUDIAG {0x06;}
sub ASI_HWFLUSHCTX {0x07;}
sub ASI_USERI {0x08;}
sub ASI_KERNELI {0x09;}
sub ASI_USERD {0x0a;}
sub ASI_KERNELD {0x0b;}
sub ASI_FLUSHREG {0x7;}
sub ASI_FLUSHSEG {0x0c;}
sub ASI_FLUSHPG {0x0d;}
sub ASI_FLUSHCTX {0x0e;}
sub ASI_DCACHE {0x0f;}
sub ASI_ICACHETAG {0x0c;}
sub ASI_ICACHEDATA {0x0d;}
sub ASI_DCACHETAG {0x0e;}
sub ASI_DCACHEDATA {0x0f;}
sub ASI_IDCACHELFP {0x10;}
sub ASI_IDCACHELFS {0x11;}
sub ASI_IDCACHELFR {0x12;}
sub ASI_IDCACHELFC {0x13;}
sub ASI_IDCACHELFU {0x14;}
sub ASI_BYPASS {0x20;}
sub ASI_ICACHECLR {0x36;}
sub ASI_DCACHECLR {0x37;}
sub ASI_DCACHEDIAG {0x39;}
sub AC_IDPROM {0x00000000;}
sub AC_CONTEXT {0x30000000;}
sub AC_SYSENABLE {0x40000000;}
sub AC_DVMA_ENABLE {0x50000000;}
sub AC_BUS_ERR {0x60000000;}
sub AC_SYNC_ERR {0x60000000;}
sub AC_SYNC_VA {0x60000004;}
sub AC_ASYNC_ERR {0x60000008;}
sub AC_ASYNC_VA {0x6000000c;}
sub AC_DIAG_REG {0x70000000;}
sub AC_CACHETAGS {0x80000000;}
sub AC_CACHEDATA {0x90000000;}
sub AC_DVMA_MAP {0xd0000000;}
sub AC_VMEINTVEC {0xe0000000;}
sub AC_SERIAL {0xf0000000;}
sub ME_REG_IERR {0x80;}
sub SER_WRITE {0x8000;}
sub SER_INVAL {0x80;}
sub SER_PROT {0x40;}
sub SER_TIMEOUT {0x20;}
sub SER_SBUSERR {0x10;}
sub SER_MEMERR {0x08;}
sub SER_SZERR {0x02;}
sub SER_WATCHDOG {0x01;}
sub SER_BITS {"\20\20WRITE\10INVAL\7PROT\6TIMEOUT\5SBUSERR\4MEMERR\2SZERR\1WATCHDOG";}
sub AER_WBINVAL {0x80;}
sub AER_TIMEOUT {0x20;}
sub AER_DVMAERR {0x10;}
sub AER_BITS {"\20\10WBINVAL\6TIMEOUT\5DVMAERR";}
sub SYSEN_DVMA {0x20;}
sub SYSEN_CACHE {0x10;}
sub SYSEN_IOCACHE {0x40;}
sub SYSEN_VIDEO {0x08;}
sub SYSEN_RESET {0x04;}
sub SYSEN_RESETVME {0x02;}
sub MXCC_ENABLE_ADDR {0x1c00a00;}
sub MXCC_ENABLE_BIT {0x4;}
sub ASI_SRMMUFP_L3 {(0<<8);}
sub ASI_SRMMUFP_L2 {(1<<8);}
sub ASI_SRMMUFP_L1 {(2<<8);}
sub ASI_SRMMUFP_L0 {(3<<8);}
sub ASI_SRMMUFP_LN {(4<<8);}
sub SRMMU_PCR {0x00000000;}
sub SRMMU_CXTPTR {0x00000100;}
sub SRMMU_CXR {0x00000200;}
sub SRMMU_SFSTAT {0x00000300;}
sub SRMMU_SFADDR {0x00000400;}
sub SRMMU_AFSTAT {0x00000500;}
sub SRMMU_AFADDR {0x00000600;}
sub SRMMU_TLBCTRL {0x00001000;}
sub SRMMU_PCR_ME {0x00000001;}
sub SRMMU_PCR_NF {0x00000002;}
sub SRMMU_PCR_PSO {0x00000080;}
sub SRMMU_PCR_CE {0x00000100;}
sub SRMMU_PCR_DCE {0x00000100;}
sub SRMMU_PCR_ICE {0x00000200;}
sub SRMMU_PCR_CM {0x00000400;}
sub SRMMU_PCR_SB {0x00000400;}
sub SRMMU_PCR_MR {0x00000800;}
sub SRMMU_PCR_MB {0x00000800;}
sub SRMMU_PCR_CS {0x00001000;}
sub SRMMU_PCR_PE {0x00001000;}
sub SRMMU_PCR_C {0x00002000;}
sub SRMMU_PCR_SSBM {0x00002000;}
sub SRMMU_PCR_HSBM {0x00004000;}
sub SRMMU_PCR_SSSE {0x00004000;}
sub SRMMU_PCR_AC {0x00008000;}
sub SRMMU_PCR_TC {0x00010000;}
sub SRMMU_PCR_MID {0x00078000;}
sub SRMMU_PCR_WBE {0x00080000;}
sub SRMMU_PCR_HSSE {0x00100000;}
sub SRMMU_PCR_CWR {0x00200000;}
sub SRMMU_PCR_VER {0x0f000000;}
sub SRMMU_PCR_IMPL {0xf0000000;}
if (defined &notyet) {
    eval 'sub SRMMU_PCR_INITIAL {( &SRMMU_PCR_ME |  &SRMMU_PCR_TC);}';
}
sub SFSR_EM {0x00020000;}
sub SFSR_CS {0x00010000;}
sub SFSR_PERR {0x00006000;}
sub SFSR_SB {0x00008000;}
sub SFSR_P {0x00004000;}
sub SFSR_UC {0x00001000;}
sub SFSR_TO {0x00000800;}
sub SFSR_BE {0x00000400;}
sub SFSR_LVL {0x00000300;}
sub SFSR_AT {0x000000e0;}
sub SFSR_FT {0x0000001c;}
sub SFSR_FAV {0x00000002;}
sub SFSR_OW {0x00000001;}
sub SFSR_BITS {"\20\21CSERR\17PARITY\16SYSERR\15UNCORR\14TIMEOUT\13BUSERR\2FAV\1OW";}
sub SFSR_FT_NONE {(0 << 2);}
sub SFSR_FT_INVADDR {(1 << 2);}
sub SFSR_FT_PROTERR {(2 << 2);}
sub SFSR_FT_PRIVERR {(3 << 2);}
sub SFSR_FT_TRANSERR {(4 << 2);}
sub SFSR_FT_BUSERR {(5 << 2);}
sub SFSR_FT_INTERR {(6 << 2);}
sub SFSR_FT_RESERVED {(7 << 2);}
sub SFSR_AT_LDUDATA {(0 << 5);}
sub SFSR_AT_LDSDATA {(1 << 5);}
sub SFSR_AT_LDUTEXT {(2 << 5);}
sub SFSR_AT_LDSTEXT {(3 << 5);}
sub SFSR_AT_STUDATA {(4 << 5);}
sub SFSR_AT_STSDATA {(5 << 5);}
sub SFSR_AT_STUTEXT {(6 << 5);}
sub SFSR_AT_STSTEXT {(7 << 5);}
sub SFSR_AT_SUPERVISOR {(1 << 5);}
sub SFSR_AT_TEXT {(2 << 5);}
sub SFSR_AT_STORE {(4 << 5);}
sub SFSR_LVL_0 {(0 << 8);}
sub SFSR_LVL_1 {(1 << 8);}
sub SFSR_LVL_2 {(2 << 8);}
sub SFSR_LVL_3 {(3 << 8);}
sub AFSR_AFO {0x00000001;}
sub AFSR_AFA {0x000000f0;}
sub AFSR_AFA_RSHIFT {4;}
sub AFSR_AFA_LSHIFT {28;}
sub AFSR_BE {0x00000400;}
sub AFSR_TO {0x00000800;}
sub AFSR_UC {0x00001000;}
sub AFSR_SE {0x00002000;}
sub AFSR_BITS {"\20\16SYSERR\15UNCORR\14TIMEOUT\13BUSERR\1AFO";}
sub TLBC_DISABLE {0x00000020;}
sub TLBC_RCNTMASK {0x0000001f;}
1;
